Bug 1344515 - (6.4.z) Bug in EJB's Timeout handling on Future.get()
Summary: (6.4.z) Bug in EJB's Timeout handling on Future.get()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.4.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.10
Assignee: Fedor Gavrilov
QA Contact: Jan Martiska
URL:
Whiteboard:
Depends On:
Blocks: eap6410-payload 1344514
TreeView+ depends on / blocked
 
Reported: 2016-06-09 21:08 UTC by Brad Maxwell
Modified: 2017-01-17 12:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 12:58:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker EJBCLIENT-158 0 Major Resolved Timeout handling on Future.get() is buggy 2018-11-05 10:17:29 UTC
Red Hat Issue Tracker JBEAP-6825 0 Major Verified EJB's async methods' Future#get should treat zero timeout as "don't wait" 2018-11-05 10:17:29 UTC

Description Brad Maxwell 2016-06-09 21:08:30 UTC

Comment 2 Jiří Bílek 2016-08-23 10:46:23 UTC
Verified with EAP 6.4.10.CP.CR2

Comment 4 Petr Penicka 2017-01-17 12:58:43 UTC
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.


Note You need to log in before you can comment on or make changes to this bug.